Wind River Support Network

HomeDefectsLIN1018-6290
Fixed

LIN1018-6290 : Security Advisory - perl - CVE-2020-10878

Created: Jun 8, 2020    Updated: Jul 24, 2020
Resolved Date: Jul 22, 2020
Found In Version: 10.18.44.1
Fix Version: 10.18.44.18
Severity: Critical
Applicable for: Wind River Linux LTS 18
Component/s: Userspace

Description

Perl before 5.30.3 has an integer overflow related to mishandling of a "PL_regkind[OP(n)] == NOTHING" situation. A crafted regular expression could lead to malformed bytecode with a possibility of instruction injection.

CREATE(Triage):(User=admin) [CVE-2020-10878|https://nvd.nist.gov/vuln/detail/CVE-2020-10878]

CVEs


Live chat
Online